View Issue Details

IDProjectCategoryView StatusLast Update
0000233SOGoBackend Calendarpublic2010-01-20 09:25
ReporterRAndomMan Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.1.0 
Target Version1.2.0Fixed in Version1.2.0 
Summary0000233: iCal 4 won't sync with SOGo with multiple calendars
Description

Hi, I am not a tech, but work in an IT environment, so can get more technical information if you require it. After upgrading to Snow Leopard, I was unable to sync iCal with SOGo and discovered a ticket raised for this a few weeks ago. Since the fix has been implemented, we have upgraded to 1.1.0 but I am still unable to connect. My logs show the following:

Nov 5 10:56:50 iCal[2895]: -[CalDAVGetPrincipalSearchPropertiesOperation getPrincipalSearchProperties]: Error Error Domain=AYNetDBErrorDomain Code=8 UserInfo=0x1152594e0 "The operation couldn’t be completed. (AYNetDBErrorDomain error 8.)"; Status: (null); Response Body:

I also get the error in iCal that says:
The server is currently unreachable or its name is incorrect for “@sogo..****.com”

I am able to view my calendar using the web interface, using the same server and log in details.

We are at a bit of a loss here, so I thought I would raise a ticket with you to see if this is something you are aware of.

TagsNo tags attached.

Relationships

related to 0000276 resolvedwsourdeau iCal work-around: davURL should become davURLAsString 

Activities

mark

mark

2009-11-18 06:51

reporter   ~0000289

Have you made sure your permissions are correct? Users access must be specifically added. They can then be "enabled" through the delegates menu in iCal. A seperate issue is that more than 1 calendar can not be pulled down per account or delegate.

RAndomMan

RAndomMan

2009-11-23 11:43

reporter   ~0000295

Hi There, I have tried to add people through Delegation, but it says this server doesn't support delegation for this account. I did manage to get it to show me some delegation options, but couldn't connect to my calendar.

I am only trying to connect to one calendar and have removed other calendars through the web front end.

mark

mark

2009-11-23 11:54

reporter   ~0000296

Last edited: 2009-11-23 11:55

Hi, I've since tested this in snow leopard. In my setup, I can get access to the personal calendar fine. However no delegation is supported. when adding the calendar, are you specifying the specific address AND port in the custom url? IE https://yourdomain:443/SOGo/dav/username/ or if not using https http://yourdomain:80/SOGo/dav/username/ -- by default iCal will try to use darwin cal server URL and port.

geistio

geistio

2009-11-30 09:19

reporter   ~0000315

I just wanted to say, that I've exactly the same problem.
I'm using SOGo-1.1.0 on debian lenny on the server and Mac OSX 10.6.2 on the client.
Apple Address book tells me:

The server responded with an error.
https://sogo.gau.local/SOGo/dav/patrick/ is not a location that supports this request.

RAndomMan

RAndomMan

2009-12-02 07:22

reporter   ~0000325

Hi Mark, I have tried to use a specific port to no avail. I was getting exactly the same error message as geistio in iCal. Now the error I get in iCal is: The server is currently unreachable or its name is incorrect for “xxxx@sogo.xxxx.xxx”. We are using sogo-1.1.0-1.el5 on CentOS release 5.4 (Final).

mark

mark

2009-12-11 09:41

reporter   ~0000336

RAndomMan are you using WOUseRelativeURLs = YES; in your config? This should get iCal 4 working for JUST your personal calendar. Delegate calendars still wont work. Your iPhone should show your delegate calendars though.

RAndomMan

RAndomMan

2009-12-11 10:08

reporter   ~0000339

Thank you very much. That fixed the problem! I now have access to my calendar.

geistio

geistio

2009-12-12 06:41

reporter   ~0000341

I actually have WOUseRelativeURLs set to YES, but iCal simply doesn't work for me..

SOGo's log says:

127.0.0.1 - - [12/Dec/2009:12:37:01 GMT] "PROPFIND /SOGo/dav/patrick/ HTTP/1.1" 401 0/449 0.012 - - 0
127.0.0.1 - - [12/Dec/2009:12:37:02 GMT] "PROPFIND /SOGo/dav/patrick/ HTTP/1.1" 207 1398/449 0.014 - - 0
Dec 12 12:37:02 sogod [3717]: [obj-dav-dispatch] did not find a method to server the REPORT
127.0.0.1 - - [12/Dec/2009:12:37:02 GMT] "REPORT /SOGo/dav/patrick/ HTTP/1.1" 501 201/91 0.004 - - 0
127.0.0.1 - - [12/Dec/2009:12:37:03 GMT] "PROPFIND /SOGo/dav/patrick/Calendar/ HTTP/1.1" 207 15845/653 0.054 - - 0

... and iCal says:

The server responded with an error.
https://sogo.gau.local/SOGo/dav/patrick/ is not a location that supports this request.

This is SOGo's configuration:
{
NSGlobalDomain = {
};
sogod = {
NGUseUTF8AsURLEncoding = YES;
OCSFolderInfoURL = "postgresql://sogo:sogo@localhost:5432/sogo/sogo_folder_info";
SOGoACLsSendEMailNotifications = YES;
SOGoAppointmentSendEMailNotifications = YES;
SOGoAuthenticationMethod = LDAP;
SOGoDefaultLanguage = English;
SOGoDefaultMailDomain = gau.local;
SOGoDraftsFolderName = Drafts;
SOGoFallbackIMAP4Server = localhost;
SOGoFoldersSendEMailNotifications = YES;
SOGoMailingMechanism = smtp;
SOGoOtherUsersFolderName = "Other Users";
SOGoProfileURL = "postgresql://sogo:sogo@localhost:5432/sogo/sogo_user_profile";
SOGoSMTPServer = localhost;
SOGoSentFolderName = Sent;
SOGoServerTimeZone = Europe/Vienna;
SOGoSharedFolderName = "Shared Folders";
SOGoTrashFolderName = Trash;
SOGoUserSources = (
{
CNFieldName = cn;
IDFieldName = uid;
UIDFieldName = uid;
IMAPHostFieldName = mailHost;
baseDN = "ou=users,dc=kanzlei,dc=gau,dc=local";
bindDN = "cn=sogo,dc=gau,dc=local";
bindPassword = sugu;
canAuthenticate = YES;
displayName = "Shared Addresses";
hostname = localhost;
id = public;
isAddressBook = NO;
port = 389;
}
);
WOApplicationRedirectURL = "https://sogo.gau.local";
WOMessageUseUTF8 = YES;
WOParsersUseUTF8 = YES;
WOPort = 20000;
WOUseRelativeURLs = YES;
};
}

wsourdeau

wsourdeau

2010-01-14 23:23

viewer   ~0000444

Could you test again from the 20101501 nightly builds? The support for iCal 4 should be complete.

ludovic

ludovic

2010-01-20 09:25

administrator   ~0000463

This has been resolved.

Issue History

Date Modified Username Field Change
2009-11-05 06:19 RAndomMan New Issue
2009-11-18 06:51 mark Note Added: 0000289
2009-11-23 11:43 RAndomMan Note Added: 0000295
2009-11-23 11:54 mark Note Added: 0000296
2009-11-23 11:55 mark Note Edited: 0000296
2009-11-30 09:19 geistio Note Added: 0000315
2009-12-02 07:22 RAndomMan Note Added: 0000325
2009-12-08 17:26 wsourdeau Relationship added related to 0000276
2009-12-11 09:41 mark Note Added: 0000336
2009-12-11 10:08 RAndomMan Note Added: 0000339
2009-12-12 06:41 geistio Note Added: 0000341
2010-01-07 09:20 ludovic Target Version => 1.2.0
2010-01-14 23:23 wsourdeau Note Added: 0000444
2010-01-20 09:25 ludovic Note Added: 0000463
2010-01-20 09:25 ludovic Status new => resolved
2010-01-20 09:25 ludovic Fixed in Version => 1.2.0
2010-01-20 09:25 ludovic Resolution open => fixed
2010-01-20 09:25 ludovic Assigned To => ludovic